Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.security
Class Security

    java.lang.Object
      |
      +--com.bea.b2b.security.Security

public final class Security
extends java.lang.Object

The Security class implements WebLogic Collaborate security.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `addUser(java.lang.String tpName, java.lang.String userName)` Add user for trading partner
`void` | `changePassword(java.lang.String userName, java.lang.String oldPassword, java.lang.String newPassword)`
`boolean` | `checkSystemPassword(java.lang.String password)`
`weblogic.management.configuration.User` | `createWLSUser(java.lang.String userName, java.lang.String password)`
`com.bea.b2b.security.EncryptionService` | `getEncryptionService()`
`com.bea.b2b.security.KeyStoreService` | `getKeyStoreService()`
`com.bea.b2b.security.SignatureService` | `getSignatureService()`
`boolean` | `hasWLSUser(java.lang.String userName)`
`boolean` | `isUserInUse(java.lang.String userName)`
`static java.lang.String` | `isValidLWTP()` Checks if a trading partner is a lightweight trading partner and the user name corresponds to that LWTP.
`static java.lang.String` | `isValidWLCCertificate(weblogic.security.Certificate[] certs)`
`static java.lang.String` | `isValidWLCCertificate(java.security.cert.X509Certificate[] certs)` Checks the certificate chain and returns the WebLogic Server user name if the certificate is a valid WebLogic Collaborate certificate.
`protected static java.security.cert.X509Certificate` | `readX509(java.lang.String loc)`
`void` | `removeUser(java.lang.String tpName, java.lang.String userName)` Remove user from cache
`void` | `removeWLSUser(weblogic.management.configuration.User user)`
`void` | `setProxy(java.lang.String proxyHost, int proxyPort)`
`protected void` | `testCerts(java.lang.String myName)`
`protected com.rsa.certj.cert.X509Certificate` | `toRSAX509(java.security.cert.Certificate javacert)`
`protected com.rsa.certj.cert.X509Certificate[]` | `toRSAX509(java.security.cert.Certificate[] javacert)`
`protected static java.security.cert.X509Certificate[]` | `toweblogicx509(weblogic.security.Certificate[] cert)`
`void` | `unregisterTradingPartner(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setProxy

    public void setProxy(java.lang.String proxyHost,
                         int proxyPort)

### addUser

    public void addUser(java.lang.String tpName,
                        java.lang.String userName)
                 throws java.lang.Exception

  Add user for trading partner

  Parameters:
    `tpName` - trading partner name
    `userName` - user name for the trading partner

### removeUser

    public void removeUser(java.lang.String tpName,
                           java.lang.String userName)

  Remove user from cache

  Parameters:
    `tpName` - trading partner name
    `userName` - user name to be removed

### isUserInUse

    public boolean isUserInUse(java.lang.String userName)

### unregisterTradingPartner

    public void unregisterTradingPartner(java.lang.String name)
                                  throws com.bea.b2b.tpa.RegisterException

### readX509

    protected static java.security.cert.X509Certificate readX509(java.lang.String loc)

### isValidLWTP

    public static final java.lang.String isValidLWTP()

  Checks if a trading partner is a lightweight trading partner and the user name corresponds to that LWTP.

  Returns:
    String - Trading partner name

### isValidWLCCertificate

    public static final java.lang.String isValidWLCCertificate(java.security.cert.X509Certificate[] certs)

  Checks the certificate chain and returns the WebLogic Server user name if the certificate is a valid WebLogic Collaborate certificate.

  If applications need to map other certificates to WLS users, this method must be called first to verify whether it is a valid WLC certificate. If it is not a valid WLC certificate, then the application can check for a non-WLC certificate and map it to a WLS user.

  If the certificate is a WLC certificate, then the authenticator that is calling this method must return the WLS user corresponding to the username returned by this method. See the documentation for customizing the WLC certificate authenticator.

  Parameters:
    `certs` - Certificate chain used in establishing the SSL two-way authenticated session.
  Returns:
    user - Username, if the certificate is known, or null if the certificate is not known.

### isValidWLCCertificate

    public static final java.lang.String isValidWLCCertificate(weblogic.security.Certificate[] certs)

### getEncryptionService

    public com.bea.b2b.security.EncryptionService getEncryptionService()

### getSignatureService

    public com.bea.b2b.security.SignatureService getSignatureService()

### getKeyStoreService

    public com.bea.b2b.security.KeyStoreService getKeyStoreService()

### toRSAX509

    protected com.rsa.certj.cert.X509Certificate toRSAX509(java.security.cert.Certificate javacert)

### toRSAX509

    protected com.rsa.certj.cert.X509Certificate[] toRSAX509(java.security.cert.Certificate[] javacert)

### toweblogicx509

    protected static java.security.cert.X509Certificate[] toweblogicx509(weblogic.security.Certificate[] cert)

### testCerts

    protected void testCerts(java.lang.String myName)

### changePassword

    public void changePassword(java.lang.String userName,
                               java.lang.String oldPassword,
                               java.lang.String newPassword)
                        throws java.lang.Exception

### checkSystemPassword

    public boolean checkSystemPassword(java.lang.String password)

### createWLSUser

    public weblogic.management.configuration.User createWLSUser(java.lang.String userName,
                                                                java.lang.String password)
                                                         throws java.lang.Exception

### hasWLSUser

    public boolean hasWLSUser(java.lang.String userName)
                       throws java.lang.Exception

### removeWLSUser

    public void removeWLSUser(weblogic.management.configuration.User user)
                       throws java.lang.Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)